| xmlget

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get XML data

## Description

xmlget fetches an XML entry from a file or a local or remote data resource.

## Algorithm

The XML data is parsed using a DOM parser, and can be rewritten in various formats.

## Usage

Here is a sample session with xmlget

    % xmlget dbfetch:embl:x13776
    Get XML data
    Xml output file [x13776.xml]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get XML data
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-xml]               xml        Xml filename and optional format, or
                                      reference (input query)
      [-outfile]           outxml     (no help text) outxml value

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-xml" associated qualifiers
       -iformat1           string     Input xml format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Xml output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-xml] (Parameter 1) | xml | Xml filename and optional format, or reference (input query) | Xml |
[-outfile] (Parameter 2) | outxml | (no help text) outxml value | Xml |
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-xml" associated xml qualifiers
-iformat1 -iformat_xml | string | Input xml format | Any string |
-iquery1 -iquery_xml | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_xml | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_xml | string | User-provided database name | Any string |
"-outfile" associated outxml qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Xml output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

xmlget reads XML data.

### Input files for usage example

### Database entry: dbfetch:embl:x13776

    ID   X13776; SV 1; linear; genomic DNA; STD; PRO; 2167 BP.
    XX
    AC   X13776; M43175;
    XX
    DT   19-APR-1989 (Rel. 19, Created)
    DT   14-NOV-2006 (Rel. 89, Last updated, Version 24)
    XX
    DE   Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    XX
    KW   aliphatic amidase regulator; amiC gene; amiR gene.
    XX
    OS   Pseudomonas aeruginosa
    OC   Bacteria; Proteobacteria; Gammaproteobacteria; Pseudomonadales;
    OC   Pseudomonadaceae; Pseudomonas.
    XX
    RN   [1]
    RP   1167-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (16-DEC-1988) to the INSDC.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    RN   [2]
    RP   1167-2167
    RX   DOI; 10.1016/0014-5793(89)80249-2.
    RX   PUBMED; 2495988.
    RA   Lowe N., Rice P.M., Drew R.E.;
    RT   "Nucleotide sequence of the aliphatic amidase regulator gene (amiR) of
    RT   Pseudomonas aeruginosa";
    RL   FEBS Lett. 246(1-2):39-43(1989).
    XX
    RN   [3]
    RP   1-1292
    RX   PUBMED; 1907262.
    RA   Wilson S., Drew R.;
    RT   "Cloning and DNA sequence of amiC, a new gene regulating expression of the
    RT   Pseudomonas aeruginosa aliphatic amidase, and purification of the amiC
    RT   product";
    RL   J. Bacteriol. 173(16):4914-4921(1991).
    XX
    RN   [4]
    RP   1-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (04-SEP-1991) to the INSDC.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    DR   EuropePMC; PMC208179; 1907262.
    DR   EuropePMC; PMC395554; 7813419.
    DR   GOA; Q51417.

      [Part of this file has been deleted for brevity]

    FT                   /db_xref="InterPro:IPR005561"
    FT                   /db_xref="InterPro:IPR008327"
    FT                   /db_xref="InterPro:IPR011006"
    FT                   /db_xref="InterPro:IPR011991"
    FT                   /db_xref="PDB:1QO0"
    FT                   /db_xref="UniProtKB/Swiss-Prot:P10932"
    FT                   /protein_id="CAA32023.1"
    FT                   /translation="MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPP
    FT                   PEAFDVPVDVVFTSIFQNGHHDEIAALLAAGTPRTTLVALVEYESPAVLSQIIELECHG
    FT                   VITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRHGWD
    FT                   EREAHQHLSREAMKRREPILKIAQELLGNEPSA"
    XX
    SQ   Sequence 2167 BP; 363 A; 712 C; 730 G; 362 T; 0 other;
         ggtaccgctg gccgagcatc tgctcgatca ccaccagccg ggcgacggga actgcacgat        60
         ctacctggcg agcctggagc acgagcgggt tcgcttcgta cggcgctgag cgacagtcac       120
         aggagaggaa acggatggga tcgcaccagg agcggccgct gatcggcctg ctgttctccg       180
         aaaccggcgt caccgccgat atcgagcgct cgcacgcgta tggcgcattg ctcgcggtcg       240
         agcaactgaa ccgcgagggc ggcgtcggcg gtcgcccgat cgaaacgctg tcccaggacc       300
         ccggcggcga cccggaccgc tatcggctgt gcgccgagga cttcattcgc aaccgggggg       360
         tacggttcct cgtgggctgc tacatgtcgc acacgcgcaa ggcggtgatg ccggtggtcg       420
         agcgcgccga cgcgctgctc tgctacccga ccccctacga gggcttcgag tattcgccga       480
         acatcgtcta cggcggtccg gcgccgaacc agaacagtgc gccgctggcg gcgtacctga       540
         ttcgccacta cggcgagcgg gtggtgttca tcggctcgga ctacatctat ccgcgggaaa       600
         gcaaccatgt gatgcgccac ctgtatcgcc agcacggcgg cacggtgctc gaggaaatct       660
         acattccgct gtatccctcc gacgacgact tgcagcgcgc cgtcgagcgc atctaccagg       720
         cgcgcgccga cgtggtcttc tccaccgtgg tgggcaccgg caccgccgag ctgtatcgcg       780
         ccatcgcccg tcgctacggc gacggcaggc ggccgccgat cgccagcctg accaccagcg       840
         aggcggaggt ggcgaagatg gagagtgacg tggcagaggg gcaggtggtg gtcgcgcctt       900
         acttctccag catcgatacg cccgccagcc gggccttcgt ccaggcctgc catggtttct       960
         tcccggagaa cgcgaccatc accgcctggg ccgaggcggc ctactggcag accttgttgc      1020
         tcggccgcgc cgcgcaggcc gcaggcaact ggcgggtgga agacgtgcag cggcacctgt      1080
         acgacatcga catcgacgcg ccacaggggc cggtccgggt ggagcgccag aacaaccaca      1140
         gccgcctgtc ttcgcgcatc gcggaaatcg atgcgcgcgg cgtgttccag gtccgctggc      1200
         agtcgcccga accgattcgc cccgaccctt atgtcgtcgt gcataacctc gacgactggt      1260
         ccgccagcat gggcggggga ccgctcccat gagcgccaac tcgctgctcg gcagcctgcg      1320
         cgagttgcag gtgctggtcc tcaacccgcc gggggaggtc agcgacgccc tggtcttgca      1380
         gctgatccgc atcggttgtt cggtgcgcca gtgctggccg ccgccggaag ccttcgacgt      1440
         gccggtggac gtggtcttca ccagcatttt ccagaatggc caccacgacg agatcgctgc      1500
         gctgctcgcc gccgggactc cgcgcactac cctggtggcg ctggtggagt acgaaagccc      1560
         cgcggtgctc tcgcagatca tcgagctgga gtgccacggc gtgatcaccc agccgctcga      1620
         tgcccaccgg gtgctgcctg tgctggtatc ggcgcggcgc atcagcgagg aaatggcgaa      1680
         gctgaagcag aagaccgagc agctccagga ccgcatcgcc ggccaggccc ggatcaacca      1740
         ggccaaggtg ttgctgatgc agcgccatgg ctgggacgag cgcgaggcgc accagcacct      1800
         gtcgcgggaa gcgatgaagc ggcgcgagcc gatcctgaag atcgctcagg agttgctggg      1860
         aaacgagccg tccgcctgag cgatccgggc cgaccagaac aataacaaga ggggtatcgt      1920
         catcatgctg ggactggttc tgctgtacgt tggcgcggtg ctgtttctca atgccgtctg      1980
         gttgctgggc aagatcagcg gtcgggaggt ggcggtgatc aacttcctgg tcggcgtgct      2040
         gagcgcctgc gtcgcgttct acctgatctt ttccgcagca gccgggcagg gctcgctgaa      2100
         ggccggagcg ctgaccctgc tattcgcttt tacctatctg tgggtggccg ccaaccagtt      2160
         cctcgag                                                                2167
    //

## Output file format

xmlget writes XML data.

### Output files for usage example

### File: x13776.xml

    <?xml version="1.0" standalone="yes"?>
    <ROOT request="X13776&apos;display=xml&apos;limit=200">
    <entry accession="X13776" version="1" entryVersion="24" dataClass="STD" taxonomicDivision="PRO" moleculeType="genomic DNA" sequenceLength="2167" topology="linear" firstPublic="1989-04-19" firstPublicRelease="19" lastUpdated="2006-11-14" lastUpdatedRelease="89">
    	<secondaryAccession>M43175</secondaryAccession>
    	<description>Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation</description>
    	<comment>
    Data kindly reviewed (04-SEP-1991) by Rice P. M.
    	</comment>
    	<keyword>aliphatic amidase regulator</keyword>
    	<keyword>amiC gene</keyword>
    	<keyword>amiR gene</keyword>
    	<reference type="submission" number="1" location="1167-2167">
    		<author>Rice P.M.</author>
    		<submissionDate>1988-12-16</submissionDate>
    		<referenceLocation>
    Submitted (16-DEC-1988) to the INSDC.
    Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    		</referenceLocation>
    	</reference>
    	<reference type="article" number="2" location="1167-2167">
    		<title>Nucleotide sequence of the aliphatic amidase regulator gene (amiR) of Pseudomonas aeruginosa</title>
    		<author>Lowe N.</author>
    		<author>Rice P.M.</author>
    		<author>Drew R.E.</author>
    		<journal>FEBS Lett.</journal>
    		<year>1989</year>
    		<volume>246</volume>
    		<issue>1-2</issue>
    		<firstPage>39</firstPage>
    		<lastPage>43</lastPage>
    		<referenceLocation>
    FEBS Lett. 246(1-2):39-43(1989).
    		</referenceLocation>
    		<xref db="DOI" id="10.1016/0014-5793(89)80249-2"/>
    		<xref db="PUBMED" id="2495988"/>
    	</reference>
    	<reference type="article" number="3" location="1-1292">
    		<title>Cloning and DNA sequence of amiC, a new gene regulating expression of the Pseudomonas aeruginosa aliphatic amidase, and purification of the amiC product</title>
    		<author>Wilson S.</author>
    		<author>Drew R.</author>
    		<journal>J. Bacteriol.</journal>
    		<year>1991</year>
    		<volume>173</volume>
    		<issue>16</issue>
    		<firstPage>4914</firstPage>
    		<lastPage>4921</lastPage>
    		<referenceLocation>
    J. Bacteriol. 173(16):4914-4921(1991).
    		</referenceLocation>
    		<xref db="PUBMED" id="1907262"/>

      [Part of this file has been deleted for brevity]

    			</value>
    		</qualifier>
    		<qualifier name="translation">
    			<value>
    MSANSLLGSLRELQVLVLNPPGEVSDALVLQLIRIGCSVRQCWPPPEAFDVPVDVVFTSIFQNGHHDEIAALLAAGTPRT
    TLVALVEYESPAVLSQIIELECHGVITQPLDAHRVLPVLVSARRISEEMAKLKQKTEQLQDRIAGQARINQAKVLLMQRH
    GWDEREAHQHLSREAMKRREPILKIAQELLGNEPSA
    			</value>
    		</qualifier>
    	</feature>
    	<sequence>
    ggtaccgctggccgagcatctgctcgatcaccaccagccgggcgacgggaactgcacgat
    ctacctggcgagcctggagcacgagcgggttcgcttcgtacggcgctgagcgacagtcac
    aggagaggaaacggatgggatcgcaccaggagcggccgctgatcggcctgctgttctccg
    aaaccggcgtcaccgccgatatcgagcgctcgcacgcgtatggcgcattgctcgcggtcg
    agcaactgaaccgcgagggcggcgtcggcggtcgcccgatcgaaacgctgtcccaggacc
    ccggcggcgacccggaccgctatcggctgtgcgccgaggacttcattcgcaaccgggggg
    tacggttcctcgtgggctgctacatgtcgcacacgcgcaaggcggtgatgccggtggtcg
    agcgcgccgacgcgctgctctgctacccgaccccctacgagggcttcgagtattcgccga
    acatcgtctacggcggtccggcgccgaaccagaacagtgcgccgctggcggcgtacctga
    ttcgccactacggcgagcgggtggtgttcatcggctcggactacatctatccgcgggaaa
    gcaaccatgtgatgcgccacctgtatcgccagcacggcggcacggtgctcgaggaaatct
    acattccgctgtatccctccgacgacgacttgcagcgcgccgtcgagcgcatctaccagg
    cgcgcgccgacgtggtcttctccaccgtggtgggcaccggcaccgccgagctgtatcgcg
    ccatcgcccgtcgctacggcgacggcaggcggccgccgatcgccagcctgaccaccagcg
    aggcggaggtggcgaagatggagagtgacgtggcagaggggcaggtggtggtcgcgcctt
    acttctccagcatcgatacgcccgccagccgggccttcgtccaggcctgccatggtttct
    tcccggagaacgcgaccatcaccgcctgggccgaggcggcctactggcagaccttgttgc
    tcggccgcgccgcgcaggccgcaggcaactggcgggtggaagacgtgcagcggcacctgt
    acgacatcgacatcgacgcgccacaggggccggtccgggtggagcgccagaacaaccaca
    gccgcctgtcttcgcgcatcgcggaaatcgatgcgcgcggcgtgttccaggtccgctggc
    agtcgcccgaaccgattcgccccgacccttatgtcgtcgtgcataacctcgacgactggt
    ccgccagcatgggcgggggaccgctcccatgagcgccaactcgctgctcggcagcctgcg
    cgagttgcaggtgctggtcctcaacccgccgggggaggtcagcgacgccctggtcttgca
    gctgatccgcatcggttgttcggtgcgccagtgctggccgccgccggaagccttcgacgt
    gccggtggacgtggtcttcaccagcattttccagaatggccaccacgacgagatcgctgc
    gctgctcgccgccgggactccgcgcactaccctggtggcgctggtggagtacgaaagccc
    cgcggtgctctcgcagatcatcgagctggagtgccacggcgtgatcacccagccgctcga
    tgcccaccgggtgctgcctgtgctggtatcggcgcggcgcatcagcgaggaaatggcgaa
    gctgaagcagaagaccgagcagctccaggaccgcatcgccggccaggcccggatcaacca
    ggccaaggtgttgctgatgcagcgccatggctgggacgagcgcgaggcgcaccagcacct
    gtcgcgggaagcgatgaagcggcgcgagccgatcctgaagatcgctcaggagttgctggg
    aaacgagccgtccgcctgagcgatccgggccgaccagaacaataacaagaggggtatcgt
    catcatgctgggactggttctgctgtacgttggcgcggtgctgtttctcaatgccgtctg
    gttgctgggcaagatcagcggtcgggaggtggcggtgatcaacttcctggtcggcgtgct
    gagcgcctgcgtcgcgttctacctgatcttttccgcagcagccgggcagggctcgctgaa
    ggccggagcgctgaccctgctattcgcttttacctatctgtgggtggccgccaaccagtt
    cctcgag
    	</sequence>
    </entry>
    </ROOT>

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None